=== debian/control ===
Source: aspectj
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 ant-optional,
 debhelper-compat (= 13),
 default-jdk,
 docbook-to-man,
 docbook-xml,
 docbook-xsl,
 html2text,
 junit (>= 3.8.1),
 libasm-java (>= 6.1),
 libaspectj-java (>= 1.9.0~beta5-1~),
 libbuild-helper-maven-plugin-java,
 libcommons-logging-java,
 libequinox-app-java,
 libequinox-common-java,
 libequinox-registry-java,
 libequinox-preferences-java,
 libeclipse-core-contenttype-java,
 libeclipse-core-filesystem-java,
 libeclipse-core-jobs-java,
 libeclipse-core-resources-java,
 libeclipse-core-runtime-java,
 libeclipse-osgi-java,
 libeclipse-text-java,
 libjarjar-java,
 libmaven-antrun-plugin-java,
 libmaven-assembly-plugin-java,
 libmaven-javadoc-plugin-java,
 libregexp-java,
 libxalan2-java,
 maven-debian-helper,
 xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
Vcs-Browser: https://salsa.debian.org/java-team/aspectj
Homepage: https://www.eclipse.org/aspectj

Package: aspectj
Architecture: all
Depends:
 default-jre-headless | java8-runtime-headless,
 libaspectj-java (= ${source:Version}),
 ${misc:Depends}
Description: aspect-oriented extension for Java - tools
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the CLI tools of aspectj (aj5, ajc, ajbrowser).

Package: libaspectj-java
Architecture: all
Depends: ${misc:Depends}
Suggests: aspectj
Multi-Arch: foreign
Description: aspect-oriented extension for Java - library
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides the JAR libraries of aspectj.

Package: aspectj-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: aspect-oriented extension for Java - documentation
 AspectJ enables the clean modularization of crosscutting concerns
 such as: error checking and handling, synchronization, context-sensitive
 behavior, performance optimizations, monitoring and logging, debugging
 support, multi-object protocols.
 .
 This package provides AspectJ Programming Guide, Diagnosis Guide and
 Development Environment Guide and Development Kit Developer's Notebook.
