## aspectj 1.9.6

=== debian/changelog ===
aspectj (1.9.6-1) unstable; urgency=medium

  * New upstream release
    - Build the new aspectjmatcher module
    - Updated the asm version in debian/bootstrap.xml
  * Standards-Version updated to 4.7.0
  * Updated the Homepage URL
  * Updated the upstream repository URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Nov 2024 13:01:43 +0100
