=== debian/control ===
--- 
+++ 
@@ -37,10 +37,10 @@
  maven-debian-helper,
  xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/aspectj.git
 Vcs-Browser: https://salsa.debian.org/java-team/aspectj
-Homepage: https://www.eclipse.org/aspectj
+Homepage: https://eclipse.dev/aspectj/
 
 Package: aspectj
 Architecture: all
