=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/_/./g \
https://github.com/eclipse-aspectj/aspectj/tags .*/V([\d_]+).tar.gz debian debian/orig-tar.sh
